
%define upstream_name	 Lingua-Stem-It
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10

Summary:	Porter's stemming algorithm for Italian
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/A/AC/ACALPINI/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
This module applies the Porter Stemming Algorithm to its parameters, returning
the stemmed words.

The algorithm is implemented exactly as described in:
http://snowball.tartarus.org/italian/stemmer.html

The code is carefully crafted to work in conjunction with the Lingua::Stem
module by Benjamin Franz, from which some functionalities have been borrowed
(caching and exception list).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make




%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Lingua
%exclude %{_mandir}/man3*/*


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

